%global pkgname django-dpaste
%global obs_ver 0.2.4-5

Summary:	Dpaste is a code paste-bin application using Django
Name:		python-django-dpaste
Version:	0.2.4
Release:	10%{?dist}
License:	BSD with advertising
Group:		Development/Libraries
URL:		https://github.com/bartTC/django-paste/
SOURCE:		http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python2-devel 
BuildRequires:	python-setuptools
Requires:		python-django-mptt 
Requires:		python-pygments

Provides:		%{pkgname} = %{version}-%{release}
Obsoletes:		%{pkgname} < %{obs_ver}


%description
Originally inspired by dpaste.com this application adds the ability to:

See the differences between snippets
A history of snippets as a tree
See your latest 25 snippets (admin setting)
A huge bunch of syntax highlighters (lexers)
User defined settings to change the font-family as well as font-sizes
Nicer colors
Multilangual interface

%prep
%setup -q -n %{pkgname}-%{version}

# the following line is to account for a build problem thats outside of my control
# it will be fixed upstream very soon, but I don't see it as a reason to delay packaging
find $buildroot -type f \( -name .DS_Store -o -name ._\* \) -print0 |xargs -0 rm -f
rm -rf dpaste/templates/dpaste/.tmp* 



%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root="%{buildroot}" --prefix="%{_prefix}"
#Language files; not under /usr/share, need to be handled manually
(cd %{buildroot} && find . -name 'django*.[mp]o') |
    %{__sed} -e 's|^.||' | %{__sed} -e \
	's:\(.*/locale/\)\([^/_]\+\)\(.*\.[mp]o$\):%lang(\2) \1\2\3:' \
	>> django.lang


%files -f django.lang
%doc CHANGELOG LICENSE MANIFEST.in README.rst
%{python_sitelib}/django_dpaste-%{version}-py2.*
%dir %{python_sitelib}/dpaste
%{python_sitelib}/dpaste/*.py*
%{python_sitelib}/dpaste/templates
%{python_sitelib}/dpaste/templatetags
%{python_sitelib}/dpaste/management
%dir %{python_sitelib}/dpaste/locale/??/LC_MESSAGES
%dir %{python_sitelib}/dpaste/locale/??
%dir %{python_sitelib}/dpaste/locale

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 21 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.2.4-9
- use buildroot instead of RPM_BUILD_ROOT
- corrected requires/buildrequires python-pygments

* Wed May 02 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.2.4-8
- added locale, and subdirs to files-list

* Tue May 01 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.2.4-6
- dropped unnecessary patch for epel5

* Tue Apr 24 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.2.4-5
- package renamed to python-django-dpaste
- minor spec cleanup

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Apr 08 2011 Dave Riches <dcr226@fedoraproject.org> - 0.2.4-3
- Added patch to build for epel5

* Thu Oct 21 2010 Dave Riches <dcr226@fedoraproject.org> - 0.2.4-2
- Fixed dependency issue

* Fri Aug 20 2010 Dave Riches <dcr226@fedoraproject.org> - 0.2-1
- Packaged for Fedora 12/13/14

* Fri Nov 28 2008 martin@mahner.org
- added user-defined exipration for snippets
- added a management command to purge old snippets
- new secret ids - This is backwards incompatible!
- User can delete his snippet at any time
- added this changelog :)

